<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="css/style.css">
    <title>Document</title>
</head>

<body>
    <h1>justify-content: flex-start</h1>
    <div class="container flex-start">
        <div class="item">1</div>
        <div class="item">Teste2</div>
        <div class="item">3</div>
        <div class="item">4</div>
    </div>

    <h1>justify-content: flex-end</h1>
    <div class="container flex-end">
        <div class="item">1</div>
        <div class="item">Teste2</div>
        <div class="item">3</div>
        <div class="item">4</div>
    </div>

    <h1>justify-content: center</h1>
    <div class="container center">
        <div class="item">1</div>
        <div class="item">Teste2</div>
        <div class="item">3</div>
        <div class="item">4</div>
    </div>

    <h1>justify-content: space-between</h1>
    <div class="container space-between">
        <div class="item">1</div>
        <div class="item">Teste2</div>
        <div class="item">3</div>
        <div class="item">4</div>
    </div>

    <h1>justify-content: space-around</h1>
    <div class="container space-around">
        <div class="item">1</div>
        <div class="item">Teste2</div>
        <div class="item">3</div>
        <div class="item">4</div>
    </div>

    <h1>justify-content: space-around; // itens com flex: 1;</h1>
    <!-- neste caso, a propriedade space-around não funciona, pois os itens estão ocupando todo o container e para que ela funcione, é necessario ter um espaço entre os itens, mesmo que eles tenha uma margem -->
    <div class="container space-around">
        <div class="item flex">1</div>
        <div class="item flex">Teste2</div>
        <div class="item flex">3</div>
        <div class="item flex">4</div>
    </div>

    <h1>justify-content: flex-start // column</h1>
    <div class="container flex-start column">
        <div class="item">1</div>
        <div class="item">Teste2</div>
        <div class="item">3</div>
        <div class="item">4</div>
    </div>

    <h1>justify-content: flex-end // column</h1>
    <div class="container flex-end column">
        <div class="item">1</div>
        <div class="item">Teste2</div>
        <div class="item">3</div>
        <div class="item">4</div>
    </div>

    <h1>justify-content: center // column</h1>
    <div class="container center column">
        <div class="item">1</div>
        <div class="item">Teste2</div>
        <div class="item">3</div>
        <div class="item">4</div>
    </div>

    <h1>justify-content: space-between // column</h1>
    <div class="container space-between column">
        <div class="item">1</div>
        <div class="item">Teste2</div>
        <div class="item">3</div>
        <div class="item">4</div>
    </div>

    <h1>justify-content: space-around // column</h1>
    <div class="container space-around column">
        <div class="item">1</div>
        <div class="item">Teste2</div>
        <div class="item">3</div>
        <div class="item">4</div>
    </div>

    <h1>justify-content: space-around; // itens com flex: 1;</h1>
    <!-- neste caso, a propriedade space-around não funciona, pois os itens estão ocupando todo o container e para que ela funcione, é necessario ter um espaço entre os itens, mesmo que eles tenha uma margem -->
    <div class="container space-around column">
        <div class="item flex">1</div>
        <div class="item flex">Teste2</div>
        <div class="item flex">3</div>
        <div class="item flex">4</div>
    </div>
</body>

</html>